//
//  RootViewController.m
//  NavbarButton
//
//  Created by Achim Heynen on 17.10.10.
//  Copyright (c) 2010 Achim Heynen Software-Entwicklung. All rights reserved.
//

#import "RootViewController.h"
#import "IconButtonViewController.h"
#import "TextButtonViewController.h"
#import "FrameButtonViewController.h"

@implementation RootViewController

- (void)viewDidLoad {
    [self setTitle:@"Button Demo"];
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 4;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    if ([indexPath row] == 0) {
        [cell.textLabel setText:@"Button with Icon"];
    } else if ([indexPath row] == 1) {
        [cell.textLabel setText:@"Button with Text"];
    } else if ([indexPath row] == 2) {
        [cell.textLabel setText:@"Button with Frame"];
    } else if ([indexPath row] == 3) {
        [cell.textLabel setText:@"Toggle Bar Style"];
    }

    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    if ([indexPath row] == 0) {
        IconButtonViewController *buttonViewController = [[IconButtonViewController alloc] initWithNibName:@"IconButtonView" bundle:nil];
        [self.navigationController pushViewController:buttonViewController animated:YES];
        [buttonViewController release];
    } else if ([indexPath row] == 1) {
        TextButtonViewController *buttonViewController = [[TextButtonViewController alloc] initWithNibName:@"TextButtonView" bundle:nil];
        [self.navigationController pushViewController:buttonViewController animated:YES];
        [buttonViewController release];
    } else if ([indexPath row] == 2) {
        FrameButtonViewController *buttonViewController = [[FrameButtonViewController alloc] initWithNibName:@"FrameButtonView" bundle:nil];
        [self.navigationController pushViewController:buttonViewController animated:YES];
        [buttonViewController release];
    } else if ([indexPath row] == 3) {
        if (self.navigationController.navigationBar.barStyle == UIBarStyleDefault) {
            [self.navigationController.navigationBar setBarStyle:UIBarStyleBlack];
        } else {
            [self.navigationController.navigationBar setBarStyle:UIBarStyleDefault];
        }
        [[tableView cellForRowAtIndexPath:indexPath] setSelected:NO animated:NO];
    }
}

- (void)dealloc {
    [super dealloc];
}

@end
